IE浏览器error:Promise未定义

原因:

使用axios会报错,因为axios本质上是封装了ES6语法的promise,而promise在ie上并不兼容。

解决办法:

引入babel-polyfill,babel-polyfill相当于一个ES6的兼容垫片,会让浏览器读懂

1、终端输入命令:npm install --save babel-polyfill
(安装了淘宝镜像的话可以用 cnpm install --save babel-polyfill)
2、在main.js文件的顶部引入 import "babel-polyfill"
3、在build目录下webpack.config.js文件设置入口改为如下
(如果你的项目用的是脚手架,在在build目录下webpack.base.config.js文件更改入口)

作者:听风_ead5
链接:https://www.jianshu.com/p/e7c6a30cfb13
来源:简书
著作权归作者所有。商业转载请联系作者获得授权,非商业转载请注明出处。